ORACLE_BASE=/opt/oracle/
ORACLE_BIN=/opt/oracle/product/8.1.7/bin
ORACLE_HOME=/opt/oracle/product/8.1.7
ORACLE_SID=smsyw12
SH_HOME=/opt/oracle/tools/hotbackup
export ORACLE_BASE ORACLE_BIN ORACLE_HOME ORACLE_SID
PATH=$PATH:$ORACLE_BIN:/opt/bin:/bin:/usr/bin:/usr/ccs/bin:
export PATH
LD_LIBRARY_PATH=$ORACLE_HOME/lib:/usr/openwin/lib:/usr/db/lib:/usr/lib:/usr/up/vortex/lib
export LD_LIBRARY_PATH

FILE_DATE=`date +"%d%m%y"`
BACKUP_HOME=/data1/oracle/hotbackup/smsyw12/
BACKUP_ARCH=/data1/oracle/hotbackup/smsyw12/back_log
BACKUP_FILE=/data1/oracle/hotbackup/smsyw12/back_datafile
BACKUP_CTRL=/data1/oracle/hotbackup/smsyw12/back_controlfile
RAEL_ARCH=/data3/oracle/oradata/smsyw12/arch
BACKUP_NAME=full_hotbackup

RM_COMMAND=/usr/bin/rm
MV_COMMAND=/usr/bin/mv
MAIL_COMMAND=/usr/bin/mailx
TAR_COMMAND=/usr/bin/tar
COMPRESS_COMMAND=/usr/bin/compress
LOCAL="smsyw12"
DBA="gqgai@hurray.com.cn shanxie@hurray.com.cn dffan@hurray.com.cn"
DATE=`date +"%Y%m%d"`

date
echo "--------------------------------------------------------------"
sqlplus "/ as sysdba" @$SH_HOME/dobackup.sql
date
#$COMPRESS_COMMAND $BACKUP_FILE/*.dbf
#if [ $? = "0" ]; then
$TAR_COMMAND cvf $BACKUP_FILE/hotback`date +"%Y%m%d"`.tar `find $BACKUP_FILE -name "*.Z"`
$RM_COMMAND $BACKUP_FILE/*.Z
#fi
find $BACKUP_FILE -name "*.tar" -mtime +10 -exec rm {} \;
cat $SH_HOME/dobackup.log |$MAIL_COMMAND -s "HOT BACKUP FROM $LOCAL" $DBA
echo "--------------------------------------------------------------"

echo "Begin backup today archive log files....."
$SH_HOME/dobakarch.sh
echo "Successed in backup archive files"

echo "--------------------------------------------------------------"

