create or replace directory LISTENER_LOG
as '/opt/oracle/product/9.2.0/network/log'
/


CREATE TABLE listener_log (text VARCHAR2(4000))
  ORGANIZATION EXTERNAL (
    TYPE oracle_loader
    DEFAULT DIRECTORY listener_log
    ACCESS PARAMETERS (
       RECORDS DELIMITED BY NEWLINE
       NOBADFILE
        NOLOGFILE
        NODISCARDFILE
    )
    LOCATION ('listener.log')
  )
  REJECT LIMIT UNLIMITED
/
