ORACLE_BASE=/opt/oracle/
ORACLE_BIN=/opt/oracle/product/8.1.7/bin
ORACLE_HOME=/opt/oracle/product/8.1.7
ORACLE_SID=smsyw12
SH_HOME=/opt/oracle/tools/hotbackup
export ORACLE_BASE ORACLE_BIN ORACLE_HOME ORACLE_SID
PATH=$PATH:$ORACLE_BIN:/opt/bin:/bin:/usr/bin:/usr/ccs/bin:
export PATH
LD_LIBRARY_PATH=$ORACLE_HOME/lib:/usr/openwin/lib:/usr/db/lib:/usr/lib:/usr/up/vortex/lib
export LD_LIBRARY_PATH

FILE_DATE=`date +"%d%m%y"`
BACK_HOME=/data1/oracle/hotbackup/smsyw12
BACK_ARCH=/data1/oracle/hotbackup/smsyw12/back_log
RAEL_ARCH=/data3/oracle/oradata/smsyw12/arch
DATE=`date +"%Y%m%d"`

RM_COMMAND=/usr/bin/rm
MV_COMMAND=/usr/bin/mv
TAR_COMMAND=/usr/bin/tar
COMPRESS_COMMAND=/usr/bin/compress

date
echo "--------------------------------------------------------------"
echo "Begin backup today archive log files....."
$MV_COMMAND `find $RAEL_ARCH -name "*.arc"` $BACK_ARCH
$TAR_COMMAND cvf $BACK_ARCH/arch$DATE.tar `find $BACK_ARCH -name "*.arc"`
$COMPRESS_COMMAND $BACK_ARCH/arch$DATE.tar
if [ $? = "0" ]; then
$RM_COMMAND $BACK_ARCH/*.arc
fi
find $BACK_ARCH -name "*.tar.Z" -mtime +10 -exec rm {} \;
if [ $? = "0" ]; then
   echo "Successed in backup archive files"
else
   echo "File not find!"
fi
echo "--------------------------------------------------------------"

