. /opt/oracle/.bash_profile
SH_HOME=/opt/oracle/dbmon/rmanbak
export SH_HOME
DATE=`date +"%Y%m%d"`
week=`date +"%w"`

#-----------------------------------------------------------------------
#Confirm whether the oracle is runing
#-----------------------------------------------------------------------
ps -ef|grep dbw0_$ORACLE_SID |grep -v grep >>/dev/null

#-----------------------------------------------------------------------
#Begin to backup
#-----------------------------------------------------------------------
if [ $? -eq 0 ]; then
   if [ $week = "0" ] || [ $week = "3" ] ; then
      rman target / @$SH_HOME/fullback.sql log=$SH_HOME/logs/rmanfullback`date +"%Y%m%d"`.log
   else
      rman target / @$SH_HOME/archback.sql log=$SH_HOME/logs/rmanarchback`date +"%Y%m%d"`.log
   fi
fi