CREATE TABLE "USERS"
  (  
  USERNAME 	VARCHAR2(30),
  USER_ID 	NUMBER,
  PASSWORD	VARCHAR2(30)
)
ORGANIZATION external
(
  TYPE oracle_loader
  DEFAULT DIRECTORY SQLDR
  ACCESS PARAMETERS
  (
    RECORDS DELIMITED BY NEWLINE CHARACTERSET ZHS16GBK
    BADFILE 'SQLDR':'users.bad'
    DISCARDFILE 'SQLDR':'users.dis'
    LOGFILE 'SQLDR':'users.log'
    READSIZE 1048576
    FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' LDRTRIM
    MISSING FIELD VALUES ARE NULL
    REJECT ROWS WITH ALL NULL FIELDS
    (
      USERNAME CHAR(30)
        TERMINATED BY "," OPTIONALLY ENCLOSED BY '"',
      USER_ID  CHAR(30)
        TERMINATED BY "," OPTIONALLY ENCLOSED BY '"',
      PASSWORD CHAR(30)
        TERMINATED BY "," OPTIONALLY ENCLOSED BY '"'
    )
  )
  location('data.txt')
)
REJECT LIMIT UNLIMITED
